<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "motivo".
 *
 * @property int $id
 * @property string $nombre
 * @property int $tipo
 */
class Motivo extends \yii\db\ActiveRecord
{


    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'motivo';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['nombre', 'tipo'], 'required'],
            [['tipo'], 'integer'],
            [['nombre'], 'string', 'max' => 100],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'nombre' => 'Nombre',
            'tipo' => 'Tipo',
        ];
    }

    public function getMotivoname()
    {
        if(isset($this->tipo)){
            if($this->tipo == 1){
                return "Pedido";
            }else{
                return "Devolución";
            }
        }else{
            return "";
        }
    }     

}
